summaryrefslogtreecommitdiff
path: root/src/backend/libvasile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/backend/libvasile.sh')
-rw-r--r--src/backend/libvasile.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/src/backend/libvasile.sh b/src/backend/libvasile.sh
new file mode 100644
index 0000000..ee2e357
--- /dev/null
+++ b/src/backend/libvasile.sh
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+
+if [[ -f /lib/gentoo/functions.sh ]] ; then
+ source /lib/gentoo/functions.sh
+else
+ echo "I won't do that without sys-apps/gentoo-functions"
+ exit 1
+fi
+
+if [[ -f /usr/lib/vasile/jailvars.sh ]] ; then
+ source /usr/lib/vasile/jailvars.sh
+else
+ source jailvars.sh
+fi
+
+if [[ -f /usr/lib/vasile/jailcmds.sh ]] ; then
+ source /usr/lib/vasile/jailcmds.sh
+else
+ source jailvars.sh
+fi
+
+if [[ -f /usr/lib/vasile/jailfuncs.sh ]] ; then
+ source /usr/lib/vasile/jailfuncs.sh
+else
+ source jailfuncs.sh
+fi